Import of pkgsrc-2013Q2

This commit is contained in:
2013-09-26 17:14:40 +02:00
commit 785076ae39
74991 changed files with 4380255 additions and 0 deletions

2
comms/libsyncml/DESCR Normal file
View File

@@ -0,0 +1,2 @@
Libsyncml is a implementation of the SyncML protocol, used e.g. on
Nokia cell phones.

35
comms/libsyncml/Makefile Normal file
View File

@@ -0,0 +1,35 @@
# $NetBSD: Makefile,v 1.11 2013/03/15 08:25:15 plunky Exp $
#
DISTNAME= libsyncml-0.4.5
PKGREVISION= 6
CATEGORIES= comms
MASTER_SITES= ${MASTER_SITE_SOURCEFORGE:=libsyncml/}
EXTRACT_SUFX= .tar.bz2
MAINTAINER= pkgsrc-users@NetBSD.org
HOMEPAGE= http://libsyncml.opensync.org/
COMMENT= C library implementation of the SyncML protocol
LICENSE= gnu-lgpl-v2.1
GNU_CONFIGURE= yes
USE_TOOLS+= pkg-config
USE_LANGUAGES= c
USE_LIBTOOL= yes
.include "../../mk/bsd.prefs.mk"
CONFIGURE_ARGS+= --disable-http
.if ${OPSYS} != "SunOS"
CONFIGURE_ARGS+= --enable-bluetooth
.endif
CONFIGURE_ARGS+= --enable-obex
PKGCONFIG_OVERRIDE+= libsyncml-1.0.pc.in
.include "../../comms/openobex/buildlink3.mk"
.include "../../devel/glib2/buildlink3.mk"
.include "../../textproc/libxml2/buildlink3.mk"
.include "../../textproc/wbxml2/buildlink3.mk"
# XXX libsoup (http)
.include "../../mk/bsd.pkg.mk"

28
comms/libsyncml/PLIST Normal file
View File

@@ -0,0 +1,28 @@
@comment $NetBSD: PLIST,v 1.2 2009/06/14 17:38:40 joerg Exp $
bin/syncml-http-client
bin/syncml-http-server
bin/syncml-obex-client
include/libsyncml-1.0/libsyncml/http_client.h
include/libsyncml-1.0/libsyncml/http_server.h
include/libsyncml-1.0/libsyncml/obex_client.h
include/libsyncml-1.0/libsyncml/obex_server.h
include/libsyncml-1.0/libsyncml/sml_auth.h
include/libsyncml-1.0/libsyncml/sml_base64.h
include/libsyncml-1.0/libsyncml/sml_command.h
include/libsyncml-1.0/libsyncml/sml_defines.h
include/libsyncml-1.0/libsyncml/sml_devinf.h
include/libsyncml-1.0/libsyncml/sml_devinf_obj.h
include/libsyncml-1.0/libsyncml/sml_ds_server.h
include/libsyncml-1.0/libsyncml/sml_elements.h
include/libsyncml-1.0/libsyncml/sml_error.h
include/libsyncml-1.0/libsyncml/sml_manager.h
include/libsyncml-1.0/libsyncml/sml_md5.h
include/libsyncml-1.0/libsyncml/sml_notification.h
include/libsyncml-1.0/libsyncml/sml_parse.h
include/libsyncml-1.0/libsyncml/sml_session.h
include/libsyncml-1.0/libsyncml/sml_transport.h
include/libsyncml-1.0/libsyncml/syncml.h
lib/libsyncml.la
lib/pkgconfig/libsyncml-1.0.pc
man/man1/syncml-http-server.1
man/man1/syncml-obex-client.1

View File

@@ -0,0 +1,14 @@
# $NetBSD: buildlink3.mk,v 1.3 2012/02/16 17:22:39 hans Exp $
BUILDLINK_TREE+= libsyncml
.if !defined(LIBSYNCML_BUILDLINK3_MK)
LIBSYNCML_BUILDLINK3_MK:=
BUILDLINK_API_DEPENDS.libsyncml+= libsyncml>=0.4.5
BUILDLINK_PKGSRCDIR.libsyncml?= ../../comms/libsyncml
.include "../../textproc/wbxml2/buildlink3.mk"
.endif # LIBSYNCML_BUILDLINK3_MK
BUILDLINK_TREE+= -libsyncml

10
comms/libsyncml/distinfo Normal file
View File

@@ -0,0 +1,10 @@
$NetBSD: distinfo,v 1.2 2013/03/15 08:25:15 plunky Exp $
SHA1 (libsyncml-0.4.5.tar.bz2) = 93794fd891def238025559cb74be18669fd5197a
RMD160 (libsyncml-0.4.5.tar.bz2) = 551f27a5173f7d54ca51d6c01c2d601970eee496
Size (libsyncml-0.4.5.tar.bz2) = 374803 bytes
SHA1 (patch-aa) = 5202525fe8988b5d5c543ec2bd9d29d3cfc3f91a
SHA1 (patch-ab) = 4fd1d4f94decf90746a5e472e04982e0541c385a
SHA1 (patch-ac) = fea6ab18142bbdd9972568dffe65727473bb77f5
SHA1 (patch-ad) = c51affb9cf70874c0cf7f0dd383da4a121855b53
SHA1 (patch-tools_syncml-obex-client.c) = 0d106c30d0a8a9af9cb0f2c33fd43a41f15432a2

View File

@@ -0,0 +1,36 @@
$NetBSD: patch-aa,v 1.2 2013/03/15 08:25:15 plunky Exp $
Check for -lbluetooth in addition to -lbluez, to make this compile on BSD.
--- configure.ac.orig 2007-10-16 12:42:45.000000000 +0000
+++ configure.ac
@@ -78,20 +78,27 @@ AC_ARG_ENABLE(bluetooth,
AS_HELP_STRING([--enable-bluetooth], [enable obex over bluetooth transports]),
WANT_BLUETOOTH=$enableval)
-PKG_CHECK_MODULES(LIBBLUETOOTH, bluez, HAVE_BLUETOOTH=yes, HAVE_BLUETOOTH=no)
+PKG_CHECK_MODULES(LIBBLUETOOTH, bluez,
+ [HAVE_BLUETOOTH=yes
+ AC_DEFINE(HAVE_BLUETOOTH_BLUETOOTH_H, 1, [Define to 1 if you have the <bluetooth/bluetooth.h> header file.])],
+ [AC_CHECK_LIB(bluetooth, bt_gethostbyname,
+ [HAVE_BLUETOOTH=yes
+ LIBBLUETOOTH_LIBS=-lbluetooth],
+ HAVE_BLUETOOTH=no)])
if test "x${HAVE_BLUETOOTH}" = "xyes"; then
if test "x${WANT_BLUETOOTH}" = "xno"; then
ENABLE_BLUETOOTH=no
else
AC_SUBST(LIBBLUETOOTH_CFLAGS)
AC_SUBST(LIBBLUETOOTH_LIBS)
+ AC_SUBST(HAVE_BLUETOOTH_BLUETOOTH_H)
ENABLE_BLUETOOTH=yes
AC_SUBST(ENABLE_BLUETOOTH)
AC_DEFINE(ENABLE_BLUETOOTH,1,[Bluetooth Transport])
fi
else
if test "x${WANT_BLUETOOTH}" = "xyes"; then
- AC_MSG_ERROR("Bluez not found")
+ AC_MSG_ERROR("Bluetooth libraries not found")
else
ENABLE_BLUETOOTH=no
fi

View File

@@ -0,0 +1,36 @@
$NetBSD: patch-ab,v 1.2 2013/03/15 08:25:15 plunky Exp $
--- libsyncml/transports/obex_client.c.orig 2007-10-16 13:25:31.000000000 +0000
+++ libsyncml/transports/obex_client.c
@@ -26,7 +26,12 @@
#include <libsyncml/sml_transport_internals.h>
#ifdef ENABLE_BLUETOOTH
+#ifdef HAVE_BLUETOOTH_BLUETOOTH_H
#include <bluetooth/bluetooth.h>
+#else
+#define COMPAT_BLUEZ
+#include <bluetooth.h>
+#endif
#endif
#include "obex_client.h"
@@ -326,7 +331,7 @@ static void smlTransportObexClientConnec
} else if (env->type == SML_OBEX_TYPE_USB) {
smlTrace(TRACE_INTERNAL, "connecting to usb interface %i", env->port);
- obex_intf_cnt = OBEX_FindInterfaces(env->obexhandle, &obex_intf);
+ obex_intf_cnt = OBEX_EnumerateInterfaces(env->obexhandle);
smlTrace(TRACE_INTERNAL, "found %i interfaces", obex_intf_cnt);
if (obex_intf_cnt <= 0) {
@@ -336,7 +341,8 @@ static void smlTransportObexClientConnec
smlErrorSet(&error, SML_ERROR_GENERIC, "Unable to find the USB interface number %i", env->port);
goto error;
} else {
- if (OBEX_InterfaceConnect(env->obexhandle, &obex_intf[env->port]) < 0) {
+ obex_intf = OBEX_GetInterfaceByIndex(env->obexhandle, env->port);
+ if (OBEX_InterfaceConnect(env->obexhandle, obex_intf) < 0) {
smlErrorSet(&error, SML_ERROR_GENERIC, "Unable to connect to the interface");
goto error;
}

View File

@@ -0,0 +1,16 @@
$NetBSD: patch-ac,v 1.2 2013/03/15 08:25:15 plunky Exp $
Regen for patch-aa.
--- config.h.in.orig 2007-10-16 13:55:20.000000000 +0000
+++ config.h.in
@@ -15,6 +15,9 @@
/* Defined if the correct libwbxml2 version exists. */
#undef ENABLE_WBXML
+/* Define to 1 if you have the <bluetooth/bluetooth.h> header file. */
+#undef HAVE_BLUETOOTH_BLUETOOTH_H
+
/* Define to 1 if you have the <dlfcn.h> header file. */
#undef HAVE_DLFCN_H

View File

@@ -0,0 +1,199 @@
$NetBSD: patch-ad,v 1.2 2013/03/15 08:25:15 plunky Exp $
Regen for patch-aa (hand trimmed).
--- configure.orig 2007-10-16 13:55:17.000000000 +0000
+++ configure
@@ -884,6 +884,7 @@ ENABLE_OBEX_TRUE
ENABLE_OBEX_FALSE
LIBBLUETOOTH_CFLAGS
LIBBLUETOOTH_LIBS
+HAVE_BLUETOOTH_BLUETOOTH_H
ENABLE_BLUETOOTH
ENABLE_BLUETOOTH_TRUE
ENABLE_BLUETOOTH_FALSE
@@ -20785,15 +20786,154 @@ fi
{ echo "$as_me:$LINENO: result: no" >&5
echo "${ECHO_T}no" >&6; }
- HAVE_BLUETOOTH=no
+ { echo "$as_me:$LINENO: checking for bt_gethostbyname in -lbluetooth" >&5
+echo $ECHO_N "checking for bt_gethostbyname in -lbluetooth... $ECHO_C" >&6; }
+if test "${ac_cv_lib_bluetooth_bt_gethostbyname+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ ac_check_lib_save_LIBS=$LIBS
+LIBS="-lbluetooth $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+
+/* Override any GCC internal prototype to avoid an error.
+ Use char because int might match the return type of a GCC
+ builtin and then its argument prototype would still apply. */
+#ifdef __cplusplus
+extern "C"
+#endif
+char bt_gethostbyname ();
+int
+main ()
+{
+return bt_gethostbyname ();
+ ;
+ return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+ *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+ (eval "$ac_link") 2>conftest.er1
+ ac_status=$?
+ grep -v '^ *+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } && {
+ test -z "$ac_c_werror_flag" ||
+ test ! -s conftest.err
+ } && test -s conftest$ac_exeext &&
+ $as_test_x conftest$ac_exeext; then
+ ac_cv_lib_bluetooth_bt_gethostbyname=yes
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ ac_cv_lib_bluetooth_bt_gethostbyname=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+ conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_lib_bluetooth_bt_gethostbyname" >&5
+echo "${ECHO_T}$ac_cv_lib_bluetooth_bt_gethostbyname" >&6; }
+if test $ac_cv_lib_bluetooth_bt_gethostbyname = yes; then
+ HAVE_BLUETOOTH=yes
+ LIBBLUETOOTH_LIBS=-lbluetooth
+else
+ HAVE_BLUETOOTH=no
+fi
+
elif test $pkg_failed = untried; then
- HAVE_BLUETOOTH=no
+ { echo "$as_me:$LINENO: checking for bt_gethostbyname in -lbluetooth" >&5
+echo $ECHO_N "checking for bt_gethostbyname in -lbluetooth... $ECHO_C" >&6; }
+if test "${ac_cv_lib_bluetooth_bt_gethostbyname+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ ac_check_lib_save_LIBS=$LIBS
+LIBS="-lbluetooth $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+
+/* Override any GCC internal prototype to avoid an error.
+ Use char because int might match the return type of a GCC
+ builtin and then its argument prototype would still apply. */
+#ifdef __cplusplus
+extern "C"
+#endif
+char bt_gethostbyname ();
+int
+main ()
+{
+return bt_gethostbyname ();
+ ;
+ return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+ *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+ (eval "$ac_link") 2>conftest.er1
+ ac_status=$?
+ grep -v '^ *+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } && {
+ test -z "$ac_c_werror_flag" ||
+ test ! -s conftest.err
+ } && test -s conftest$ac_exeext &&
+ $as_test_x conftest$ac_exeext; then
+ ac_cv_lib_bluetooth_bt_gethostbyname=yes
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ ac_cv_lib_bluetooth_bt_gethostbyname=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+ conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_lib_bluetooth_bt_gethostbyname" >&5
+echo "${ECHO_T}$ac_cv_lib_bluetooth_bt_gethostbyname" >&6; }
+if test $ac_cv_lib_bluetooth_bt_gethostbyname = yes; then
+ HAVE_BLUETOOTH=yes
+ LIBBLUETOOTH_LIBS=-lbluetooth
+else
+ HAVE_BLUETOOTH=no
+fi
+
else
LIBBLUETOOTH_CFLAGS=$pkg_cv_LIBBLUETOOTH_CFLAGS
LIBBLUETOOTH_LIBS=$pkg_cv_LIBBLUETOOTH_LIBS
{ echo "$as_me:$LINENO: result: yes" >&5
echo "${ECHO_T}yes" >&6; }
HAVE_BLUETOOTH=yes
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_BLUETOOTH_BLUETOOTH_H 1
+_ACEOF
+
fi
if test "x${HAVE_BLUETOOTH}" = "xyes"; then
if test "x${WANT_BLUETOOTH}" = "xno"; then
@@ -20811,8 +20951,8 @@ _ACEOF
fi
else
if test "x${WANT_BLUETOOTH}" = "xyes"; then
- { { echo "$as_me:$LINENO: error: \"Bluez not found\"" >&5
-echo "$as_me: error: \"Bluez not found\"" >&2;}
+ { { echo "$as_me:$LINENO: error: \"Bluetooth libraries not found\"" >&5
+echo "$as_me: error: \"Bluetooth libraries not found\"" >&2;}
{ (exit 1); exit 1; }; }
else
ENABLE_BLUETOOTH=no
@@ -22531,6 +22673,7 @@ ENABLE_OBEX_TRUE!$ENABLE_OBEX_TRUE$ac_de
ENABLE_OBEX_FALSE!$ENABLE_OBEX_FALSE$ac_delim
LIBBLUETOOTH_CFLAGS!$LIBBLUETOOTH_CFLAGS$ac_delim
LIBBLUETOOTH_LIBS!$LIBBLUETOOTH_LIBS$ac_delim
+HAVE_BLUETOOTH_BLUETOOTH_H!$HAVE_BLUETOOTH_BLUETOOTH_H$ac_delim
ENABLE_BLUETOOTH!$ENABLE_BLUETOOTH$ac_delim
ENABLE_BLUETOOTH_TRUE!$ENABLE_BLUETOOTH_TRUE$ac_delim
ENABLE_BLUETOOTH_FALSE!$ENABLE_BLUETOOTH_FALSE$ac_delim
@@ -22554,7 +22697,7 @@ LIBOBJS!$LIBOBJS$ac_delim
LTLIBOBJS!$LTLIBOBJS$ac_delim
_ACEOF
- if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 41; then
+ if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 42; then
break
elif $ac_last_try; then
{ { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5

View File

@@ -0,0 +1,26 @@
$NetBSD: patch-tools_syncml-obex-client.c,v 1.1 2013/03/15 08:25:15 plunky Exp $
--- tools/syncml-obex-client.c.orig 2012-06-20 20:04:00.000000000 +0000
+++ tools/syncml-obex-client.c
@@ -361,14 +361,16 @@ void list_interfaces()
if (geteuid() != 0)
fprintf(stderr, "Superuser privileges are required to access complete USB information.\n");
- interfaces_number = OBEX_FindInterfaces(handle, &obex_intf);
+ interfaces_number = OBEX_EnumerateInterfaces(handle);
printf("Found %d USB OBEX interfaces\n", interfaces_number);
- for (i = 0; i < interfaces_number; i++)
+ for (i = 0; i < interfaces_number; i++) {
+ obex_intf = OBEX_GetInterfaceByIndex(handle, i);
printf("Interface %d:\n\tManufacturer: %s\n\tProduct: %s\n\tInterface description: %s\n", i,
- obex_intf[i].usb.manufacturer,
- obex_intf[i].usb.product,
- obex_intf[i].usb.control_interface);
+ obex_intf->usb.manufacturer,
+ obex_intf->usb.product,
+ obex_intf->usb.control_interface);
+ }
printf("Use '-u interface_number' to connect\n");
OBEX_Cleanup(handle);